Skip to main content

SMS Endpoint

IntelSend provides RESTful endpoints to send bulk SMS programmatically.

info

All endpoints require Authentication Headers. Refer to the Authentication section before making requests.

URL

https://api.intelsend.com/send-msg

Method POST


📑 Example Request​

curl --location 'https://api.intelsend.com/send-msg' --header 'x-api-key: bUl1HuJu1x6VJo7kLw5qY4DmtJXVaQhf8IyaLPnF' --header 'Content-Type: application/json' --header 'Authorization: dedede' --data '{
"channel": "sms",
"uid": "12456",
"to": "3233933379",
"from": "9498671145",
"template-id": "688b634bf19b87633060398f",
"params": {
"MEMBER_NAME": "Deepak Kumar Yadav",
"MEMBERSHIP_LEVEL": "Gold",
"MEMBERSHIP_ID": "MEM123410",
"BALANCE": 250.00,
"POINTS": 250,
"JOIN_DATE": "2025-07-31",
"FILE_URL": "https://voxtelesys-documentation.s3.ap-south-1.amazonaws.com/passes/0ec70aae-a257-4fb3-a34d-be94a0bd904b.pkpass"
}
}'

More Details

Refer to the Request Body and Response Body for parameter details.